Update specific product children
curl --request DELETE \
--url https://api.production.orderprotection.com/v2/products/{productId}/bundle/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productIds": [
"product-1",
"product-2",
"product-2"
]
}
'import requests
url = "https://api.production.orderprotection.com/v2/products/{productId}/bundle/remove"
payload = { "productIds": ["product-1", "product-2", "product-2"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({productIds: ['product-1', 'product-2', 'product-2']})
};
fetch('https://api.production.orderprotection.com/v2/products/{productId}/bundle/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}{
"message": "'sourceOrderId' is required",
"statusCode": 400
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "Not Found",
"error": "Not Found",
"statusCode": 404
}Products
Remove product from bundle
Remove product ids from bundle
DELETE
/
v2
/
products
/
{productId}
/
bundle
/
remove
Update specific product children
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Your internal product ids that you would like to add to this bundle, they must be created in OrderProtection first
Example:
["product-1", "product-2", "product-2"]
Response
The product variant has been successfully updated.
Example:
"ok"
⌘I

